#! python3
# resize_credit - テキストファイルの数字を元に画像をリサイズして、クレジットを追加
# http://entre-news.jp/automation/python-resize-credit

from PIL import Image
from PIL import ImageFont
from PIL import ImageDraw
import os, glob

files = glob.glob('./*')
widthfile = open('size_credit.txt', encoding='utf-8')
wc = widthfile.readlines()
w = wc[0].replace('\n','')
c = wc[1].replace('\n','')


for f in files:
    try:
        img = Image.open(f)
        img_resize = img.resize((int(w),int(img.height*int(w)/img.width)), Image.LANCZOS)
        draw = ImageDraw.Draw(img_resize)
        font = ImageFont.truetype('mplus-1m-medium.ttf', 15)
        draw.text((15,int(img_resize.height)-32), str(c), fill=(256,256,256), font=font)
        title, ext = os.path.splitext(f)
        img_resize.save(title + '_w' + str(w) + ext ,quality=100)
        
    except OSError as e:
        pass
